
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.YsSjfyEntity;
import org.sky.scientific.pojo.vo.YsSjfyVO;
import java.util.Objects;

/**
 * 项目预算-设计费用 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class YsSjfyWrapper extends BaseEntityWrapper<YsSjfyEntity, YsSjfyVO> {

	public static YsSjfyWrapper build() {
		return new YsSjfyWrapper();
 	}

	@Override
	public YsSjfyVO entityVO(YsSjfyEntity ysSjfy) {
		YsSjfyVO ysSjfyVO = Objects.requireNonNull(BeanUtil.copyProperties(ysSjfy, YsSjfyVO.class));

		//User createUser = UserCache.getUser(ysSjfy.getCreateUser());
		//User updateUser = UserCache.getUser(ysSjfy.getUpdateUser());
		//ysSjfyVO.setCreateUserName(createUser.getName());
		//ysSjfyVO.setUpdateUserName(updateUser.getName());

		return ysSjfyVO;
	}


}
